aboutsummaryrefslogtreecommitdiff
path: root/payloads/libpayload/curses/PDCurses/x11/xcurses-config.in
diff options
context:
space:
mode:
authorStefan Reinauer <stefan.reinauer@coreboot.org>2015-11-10 09:00:41 -0800
committerStefan Reinauer <stefan.reinauer@coreboot.org>2015-11-11 21:38:48 +0100
commit4f85a1eb76d1e7109bcc60ba6f3262a5654ac61b (patch)
treee996818c6aa6b6f702a6c805c447c20724eff265 /payloads/libpayload/curses/PDCurses/x11/xcurses-config.in
parent2ea24dabd658b8396e0abf79318a538ef0f3a5b8 (diff)
libpayload: Rename PDCurses-3.4 to PDCurses
Change-Id: If881ec130833c7e7e62caa3d31e350a531f5bc8e Signed-off-by: Stefan Reinauer <stefan.reinauer@coreboot.org> Reviewed-on: http://review.coreboot.org/12398 Tested-by: build bot (Jenkins) Reviewed-by: Patrick Georgi <pgeorgi@google.com>
Diffstat (limited to 'payloads/libpayload/curses/PDCurses/x11/xcurses-config.in')
-rw-r--r--payloads/libpayload/curses/PDCurses/x11/xcurses-config.in76
1 files changed, 76 insertions, 0 deletions
diff --git a/payloads/libpayload/curses/PDCurses/x11/xcurses-config.in b/payloads/libpayload/curses/PDCurses/x11/xcurses-config.in
new file mode 100644
index 0000000000..55b4704c6c
--- /dev/null
+++ b/payloads/libpayload/curses/PDCurses/x11/xcurses-config.in
@@ -0,0 +1,76 @@
+#! /bin/sh
+#
+# The idea to this kind of setup info script was stolen from numerous
+# other packages, such as neon, libxml and gnome.
+#
+# $Id: xcurses-config.in,v 1.6 2007/11/07 23:33:07 wmcbrine Exp $
+#
+
+verdot=3.4
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@/xcurses
+
+usage()
+{
+ echo "Usage: xcurses-config [OPTION]"
+ echo ""
+ echo "Available values for OPTION include:"
+ echo ""
+ echo " --help display this help and exit"
+ echo " --cflags pre-processor and compiler flags"
+ echo " [-I$includedir]"
+ echo " --libs library linking information"
+ echo " [-L$prefix/lib -lXCurses @LDFLAGS@ @MH_XLIBS@ @MH_EXTRA_LIBS@"
+ echo " --prefix PDCurses install prefix"
+ echo " [$prefix]"
+ echo " --version output version information"
+ echo " [$verdot]"
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ # this deals with options in the style
+ # --option=value and extracts the value part
+ # [not currently used]
+ -*=*) value=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) value= ;;
+ esac
+
+ case "$1" in
+ --prefix)
+ echo $prefix
+ ;;
+
+ --version)
+ echo $verdot
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I$includedir
+ ;;
+
+ --libs)
+ echo -L$prefix/lib -lXCurses @LDFLAGS@ @MH_XLIBS@ @MH_EXTRA_LIBS@
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0